-- -----------------------------------------------------------------------
-- book-- -----------------------------------------------------------------------
drop table book;

CREATE TABLE book(
 
	book_id INTEGER PRIMARY KEY,
 
	title VARCHAR (255) NOT NULL ,
 
	isbn VARCHAR (24) NOT NULL ,
 
	publisher_id INTEGER NOT NULL ,
 
	author_id INTEGER NOT NULL  
);

	-- SQLite does not support foreign keys; this is just for reference
    -- FOREIGN KEY (publisher_id) REFERENCES publisher (publisher_id),
	-- SQLite does not support foreign keys; this is just for reference
    -- FOREIGN KEY (author_id) REFERENCES author (author_id),
-- -----------------------------------------------------------------------
-- publisher-- -----------------------------------------------------------------------
drop table publisher;

CREATE TABLE publisher(
 
	publisher_id INTEGER PRIMARY KEY,
 
	name VARCHAR (128) NOT NULL  
);

-- -----------------------------------------------------------------------
-- author-- -----------------------------------------------------------------------
drop table author;

CREATE TABLE author(
 
	author_id INTEGER PRIMARY KEY,
 
	first_name VARCHAR (128) NOT NULL ,
 
	last_name VARCHAR (128) NOT NULL  
);

-- -----------------------------------------------------------------------
-- review-- -----------------------------------------------------------------------
drop table review;

CREATE TABLE review(
 
	review_id INTEGER PRIMARY KEY,
 
	reviewed_by VARCHAR (128) NOT NULL ,
 
	review_date DATETIME NOT NULL ,
 
	recommended INTEGER NOT NULL ,
 
	book_id INTEGER NOT NULL  
);

	-- SQLite does not support foreign keys; this is just for reference
    -- FOREIGN KEY (book_id) REFERENCES book (book_id),
-- -----------------------------------------------------------------------
-- media-- -----------------------------------------------------------------------
drop table media;

CREATE TABLE media(
 
	media_id INTEGER PRIMARY KEY,
 
	cover_image LONGBLOB ,
 
	excerpt LONGTEXT ,
 
	book_id INTEGER NOT NULL  
);

	-- SQLite does not support foreign keys; this is just for reference
    -- FOREIGN KEY (book_id) REFERENCES book (book_id),
  
  
  
  
  
